package com.tryandroid.media.model;

public class Size extends BaseIdName {
	public static BaseIdNameList list = new BaseIdNameList();

	public static final Size QVGA = new Size("QVGA", "QVGA", 320, 240);
	public static final Size VGA = new Size("VGA", "VGA", 640, 480);

	private int width;
	private int height;

	protected Size(String id, String name, int width, int height) {
		super(id, name + "(" + width + "x" + height + ")");
		this.width = width;
		this.height = height;
		list.add(this);
	}

	public int getWidth() {
		return width;
	}

	public int getHeight() {
		return height;
	}
}
